# Network › Load Balancer › Services API

> Part of the OVHcloud developer hub. Index of every page and section: https://developers.eu.ovhcloud.com/llms.txt
> The Network product's sections: https://developers.eu.ovhcloud.com/reference/network/llms.txt
> Everything in one file: https://developers.eu.ovhcloud.com/llms-full.txt

> 3 operations of the OVHcloud API. Calls carry `authorization: Bearer $OVH_TOKEN`; the EU host is shown, Canada and the United States answer on api.ca.ovhcloud.com and api.us.ovhcloud.com.

Page: https://developers.eu.ovhcloud.com/reference/network/load-balancer/services/

OpenAPI v1: https://api.eu.ovhcloud.com/1.0/__schemas/developer-hub-navigation/network/load-balancer/services.json?format=openapi3
OpenAPI v2: https://api.eu.ovhcloud.com/v2/__schemas/developer-hub-navigation/network/load-balancer/services.json?format=openapi3

## Operations

- `GET /ipLoadbalancing` — List Load Balancer services
- `GET /ipLoadbalancing/{serviceName}` — Get a Load Balancer service
- `PUT /ipLoadbalancing/{serviceName}` — Update a Load Balancer service

## List Load Balancer services

`GET /1.0/ipLoadbalancing`

Link: https://developers.eu.ovhcloud.com/reference/network/load-balancer/services/#get-iploadbalancing

**Status:** Stable production version  
**IAM actions:** `loadbalancer:apiovh:get`

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `iamTags` | query | object |  | Filter resources on IAM tags |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | string[] | successful operation |

```json
[
  "string"
]
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/1.0/ipLoadbalancing" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/ipLoadbalancing")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/ipLoadbalancing");

print_r($result);
?>
```

## Get a Load Balancer service

`GET /1.0/ipLoadbalancing/{serviceName}`

Link: https://developers.eu.ovhcloud.com/reference/network/load-balancer/services/#get-iploadbalancing-servicename

**Status:** Stable production version  
**IAM actions:** `loadbalancer:apiovh:get`

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `serviceName` | path | string | yes | The internal name of your IP load balancing |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | ipLoadbalancing.IpWithIAM | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `displayName` | string |  | Set the name displayed in ManagerV6 for your iplb (max 50 chars) |
| `iam` | iam.ResourceMetadata | read-only | IAM resource metadata |
| `iam.displayName` | string | read-only | Resource display name |
| `iam.id` | string (uuid) | read-only | Unique identifier of the resource |
| `iam.state` | iam.ResourceMetadata.StateEnum | read-only | Resource state — one of `EXPIRED`, `IN_CREATION`, `OK`, `SUSPENDED` |
| `iam.tags` | object | read-only | Resource tags. Tags that were internally computed are prefixed with ovh: |
| `iam.urn` | string | read-only | Unique resource name used in policies |
| `ipLoadbalancing` | ip | read-only | Your IP load balancing |
| `ipv4` | ipv4 | read-only | The IPV4 associated to your IP load balancing |
| `ipv6` | ipv6 | read-only | The IPV6 associated to your IP load balancing |
| `metricsToken` | string | read-only | The metrics token associated with your IP load balancing |
| `offer` | string | read-only | The offer of your IP load balancing |
| `orderableZone` | ipLoadbalancing.OrderableZone[] | read-only | Available additional zone for your Load Balancer |
| `orderableZone[].name` | string |  | The zone three letter code |
| `orderableZone[].planCode` | string |  | The billing planCode for this zone |
| `serviceName` | string | read-only | The internal name of your IP load balancing |
| `sslConfiguration` | ipLoadbalancing.SslConfigurationEnum |  | Modern oldest compatible clients : Firefox 27, Chrome 30, IE 11 on Windows 7, Edge, Opera 17, Safari 9, Android 5.0, and Java 8. Intermediate oldest compatible clients : Firefox 1, Chrome 1, IE 7, Opera 5, Safari 1, Windows XP IE8, Android 2.3, Java 7. Intermediate if null. — one of `intermediate`, `modern` |
| `state` | ipLoadbalancing.IpStateEnum | read-only | Current state of your IP — one of `blacklisted`, `deleted`, `free`, `ok`, `quarantined`, `suspended` |
| `vrackEligibility` | boolean | read-only | Vrack eligibility |
| `vrackName` | string | read-only | Name of the vRack on which the current Load Balancer is attached to, as it is named on vRack product |
| `zone` | string[] | read-only | Location where your service is |

```json
{
  "displayName": "string",
  "iam": {
    "displayName": "string",
    "id": "00000000-0000-0000-0000-000000000000",
    "state": "EXPIRED",
    "tags": {
      "key": "string"
    },
    "urn": "string"
  },
  "ipLoadbalancing": "192.0.2.0",
  "ipv4": "192.0.2.0",
  "ipv6": "2001:41d0:1:1994::1",
  "metricsToken": "string",
  "offer": "string",
  "orderableZone": [
    {
      "name": "string",
      "planCode": "string"
    }
  ],
  "serviceName": "string",
  "sslConfiguration": "intermediate",
  "state": "blacklisted",
  "vrackEligibility": true,
  "vrackName": "string",
  "zone": [
    "string"
  ]
}
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/ipLoadbalancing/{serviceName}")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/ipLoadbalancing/{serviceName}");

print_r($result);
?>
```

## Update a Load Balancer service

`PUT /1.0/ipLoadbalancing/{serviceName}`

Link: https://developers.eu.ovhcloud.com/reference/network/load-balancer/services/#put-iploadbalancing-servicename

**Status:** Stable production version  
**IAM actions:** `loadbalancer:apiovh:put`

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `serviceName` | path | string | yes | The internal name of your IP load balancing |

### Request body (required)

Type: `ipLoadbalancing.Ip`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `displayName` | string |  | Set the name displayed in ManagerV6 for your iplb (max 50 chars) |
| `ipLoadbalancing` | ip | read-only | Your IP load balancing |
| `ipv4` | ipv4 | read-only | The IPV4 associated to your IP load balancing |
| `ipv6` | ipv6 | read-only | The IPV6 associated to your IP load balancing |
| `metricsToken` | string | read-only | The metrics token associated with your IP load balancing |
| `offer` | string | read-only | The offer of your IP load balancing |
| `orderableZone` | ipLoadbalancing.OrderableZone[] | read-only | Available additional zone for your Load Balancer |
| `orderableZone[].name` | string |  | The zone three letter code |
| `orderableZone[].planCode` | string |  | The billing planCode for this zone |
| `serviceName` | string | read-only | The internal name of your IP load balancing |
| `sslConfiguration` | ipLoadbalancing.SslConfigurationEnum |  | Modern oldest compatible clients : Firefox 27, Chrome 30, IE 11 on Windows 7, Edge, Opera 17, Safari 9, Android 5.0, and Java 8. Intermediate oldest compatible clients : Firefox 1, Chrome 1, IE 7, Opera 5, Safari 1, Windows XP IE8, Android 2.3, Java 7. Intermediate if null. — one of `intermediate`, `modern` |
| `state` | ipLoadbalancing.IpStateEnum | read-only | Current state of your IP — one of `blacklisted`, `deleted`, `free`, `ok`, `quarantined`, `suspended` |
| `vrackEligibility` | boolean | read-only | Vrack eligibility |
| `vrackName` | string | read-only | Name of the vRack on which the current Load Balancer is attached to, as it is named on vRack product |
| `zone` | string[] | read-only | Location where your service is |

```json
{
  "displayName": "string",
  "sslConfiguration": "intermediate"
}
```

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | — | successful operation |

### Example

```bash
curl -X PUT \
  "https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN" \
  -H "content-type: application/json" \
  -d '{ }'
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

# Request body type: ipLoadbalancing.Ip
result = client.put("/ipLoadbalancing/{serviceName}",
	displayName = None, # Set the name displayed in ManagerV6 for your iplb (max 50 chars) (type: string, nullable)
	sslConfiguration = None, # Modern oldest compatible clients : Firefox 27, Chrome 30, IE 11 on Windows 7, Edge, Opera 17, Safari 9, Android 5.0, and Java 8. Intermediate oldest compatible clients : Firefox 1, Chrome 1, IE 7, Opera 5, Safari 1, Windows XP IE8, Android 2.3, Java 7. Intermediate if null. (type: ipLoadbalancing.SslConfigurationEnum, nullable)
)

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

// Request body type: ipLoadbalancing.Ip
$result = $ovh->put("/ipLoadbalancing/{serviceName}", array(
	displayName => null, // Set the name displayed in ManagerV6 for your iplb (max 50 chars) (type: string, nullable)
	sslConfiguration => null, // Modern oldest compatible clients : Firefox 27, Chrome 30, IE 11 on Windows 7, Edge, Opera 17, Safari 9, Android 5.0, and Java 8. Intermediate oldest compatible clients : Firefox 1, Chrome 1, IE 7, Opera 5, Safari 1, Windows XP IE8, Android 2.3, Java 7. Intermediate if null. (type: ipLoadbalancing.SslConfigurationEnum, nullable)
));

print_r($result);
?>
```
